// Call with clock frequency / port speed: 40000000/9600
void ser0init(unsigned long clockspeed);

extern __xdata unsigned char ser0rxbuf[];
extern unsigned char ser0txbytes,ser0rxbytes;

/*
   Rx is always enabled, flush the buffer with ser0flush(), check
   available chars watching ser0rxbytes, peek last received char
   calling ser0peek(). Data is at ser0rxbuf in xram
   
   Enable Tx by calling ser0send with a pointer to data in xram
   and the number of bytes to send. Check if finished by watching
   ser0txbytes, should be 0 when finished (or check UART0INT bit 4, BTW).
*/

void ser0Interrupt(void) interrupt 5;

  // Returns -1 if there is no char available
int ser0peek(void);
void ser0flush(void);
void ser0send(__xdata unsigned char *ptr,unsigned char bytes);


